﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Advantest R6871E Setup IEEE
INSTRUMENT:            Sub Advantest R6871E Send Command IEEE
INSTRUMENT:            Sub Advantest R6871E Get Reading IEEE
DATE:                  2017-02-06 11:14:30
AUTHOR:                Fluke
REVISION:              $Revision: 18164 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       161
=============================================================================
#
#  Procedure Author:  VY
#
#  Model Covered:     R6871E, R6871E-DC, R6871E-OHM
#
#  Compatibility:     MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
#  Additional Equipment Required:  None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_IEEE                PSUBI("Setup IEEE")
  1.002  JMPL         SEND_COMMAND              PSUBI("Send Command")
  1.003  JMPL         GET_READING               PSUBI("Get Reading")
  1.004  DISP         Advantest R6871E:  Subprocedure not found!
  1.005  END

  1.006  EVAL   dummy
  2.001  END

# =================== Sub Advantest R6871E Setup IEEE ====================

  2.002  LABEL        SETUP_IEEE
  2.003  HEAD         SET GPIB ADDRESS
  2.004  DISP         Press "SHIFT" key and then "LOCAL/GPIB" key,
  2.004  DISP         Format mode-Address mode-Address will be displayed.
  2.004  DISP
  2.004  DISP         The GPIB address is is not important, as long as it is
  2.004  DISP         not (0) zero. If it is 0, use the following way to set
  2.004  DISP         to another value:
  2.004  DISP         Press "SHIFT" key to make the address display blink,
  2.004  DISP         Press "SHIFT" key and digitals key to set another value,
  2.004  DISP         Press "ENTER" key to confirm.
  2.004  DISP
  2.004  DISP         Connect the UUT to IEEE-488 Port 1.

  2.005  END
  2.006  EVAL   dummy

# ================ Sub Advantest R6871E Send Command IEEE ==================

  3.001  LABEL        SEND_COMMAND
# Clear status byte.
  3.002  IEEE         CS
# Send command to UUT.
  3.003  MATH         MEM2 = GET("Cmd_Str")
  3.004  IEEE         [MEM2]
# Initialize timeout counter.
  3.005  MATH         L[1] = 0
  3.006  MATH         L[2] = GET("Timeout"); PUT("Abort", 0)
# Assume a value that serial poll event could not get in order to check
# whether there is timeout condition occured in the Serial poll event.
  3.007  MATH         MEM = 1000

  3.008  DO
  3.009  WAIT         [D500]
  3.010  MATH         L[1] = L[1] + 500

  3.011  IF           L[1] > L[2]
  3.012  OPBR         Error:  Timeout waiting for command execution.
  3.012  OPBR
  3.012  OPBR         [L1] ms has elapsed with no indication of data
  3.012  OPBR         available in the status byte.
  3.012  OPBR
  3.012  OPBR         Do you wish to continue?

  3.013  IF           MEM1 < 0
  3.014  MATH         PUT("Abort", 1)
  3.015  MATH         PUT("Error", 1)
  3.016  MATH         PUT("Err_Msg", "Timeout waiting for command execution.")
  3.017  END
  3.018  ENDIF

  3.019  ENDIF

# Check whether there is a setting error in the remote program code(status
# byte bit 1 is true means systax error).
  3.020  IEEE         [SPL]
  3.021  UNTIL        MEM != 1000

  3.022  IF           BIT(1, MEM)
  3.023  MATH         PUT("Error", 1)
  3.024  MATH         PUT("Err_Msg", "Syntax Error")

  3.025  ELSE
  3.026  MATH         PUT("Error", 0)
  3.027  ENDIF

  3.028  END
  3.029  EVAL   dummy

# ================ Sub Advantest R6871E Get Reading IEEE ===================

  4.001  LABEL        GET_READING
# Clear status byte.
  4.002  IEEE         CS
# Trigger a reading.
  4.003  IEEE         E
# Initialize timeout counter.
  4.004  MATH         L[1] = 0
  4.005  MATH         L[2] = GET("Timeout"); PUT("Abort", 0)

# Wait for generation of outputable data (status byte bit 0 is true).
  4.006  DO
  4.007  WAIT         [D100]
  4.008  MATH         L[1] = L[1] + 100

  4.009  IF           L[1] > L[2]
  4.010  OPBR         Error:  Timeout waiting for UUT reading.
  4.010  OPBR
  4.010  OPBR         [L1] ms has elapsed with no indication of data
  4.010  OPBR         available in the status byte.
  4.010  OPBR
  4.010  OPBR         Do you wish to continue?

  4.011  IF           MEM1 < 0
  4.012  MATH         PUT("Abort", 1)
  4.013  MATH         PUT("Error", 1)
  4.014  MATH         PUT("Err_Msg", "Timeout waiting for UUT reading")
  4.015  END
  4.016  ENDIF

  4.017  ENDIF

  4.018  IEEE         [SPL]
  4.019  UNTIL        BIT(0, MEM)

# Get the reading.
  4.020  IEEE         [I]
  4.021  END
