﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Advantest R6871E-DC: ADJ IEEE /5700
INSTRUMENT:            Sub Advantest R6871E-OHM: ADJ VER IEEE /5700
DATE:                  2017-02-06 11:51:06
AUTHOR:                Fluke
REVISION:              $Revision: 18166 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       120
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Source(s):
#        Advantest R6871E Series Digital Multi-Meter
#        Instruction Manual, Manual Number OEA0 9301
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#                                  NOTE
# The IF statements used throughout this procedure to check for errors after
# the call to "Sub Advantest R6871E Send Command IEEE" must remain at the same
# procedure level as the TARGET statements. DO NOT move these statements to
# a subprocedure even though they seem redundant. Doing so WILL cause the
# "Repeat" option in post test NOT to work properly.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statements are only included to force the main procedure
# header to include references required by subprocedures.
  1.001  IF           0
  1.002  5700         1V                                                S  2W
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.007  CALL         Sub Check MET/CAL Version

  1.008  IF           GET("METCAL_Version_OK") != 1
  1.009  DISP         This procedure requires MET/CAL 7.11 SP1 (7.11j) or
  1.009  DISP         later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Copyright
  1.013  CALL         Sub High Voltage Safety Warning

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         60 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  TARGET
  1.017  CALL         Sub Advantest R6871E Setup IEEE

  1.018  DISP         Place the FRONT/REAR switch in the FRONT (OUT) position.
  1.018  DISP
  1.018  DISP         Place the LO-G switch in the OPEN (OUT) position.

# Set 10 s timeout for Sub Advantest R6871E Send Command IEEE.
  1.019  MATH         PUT("Timeout", 10000)

# Initial the setting of UUT
  1.020  MATH         PUT("Cmd_Str", "Z")
  1.021  CALL         Sub Advantest R6871E Send Command IEEE

  1.022  IF           GET("Error")
  1.023  MATH         MEM2 = GET("Err_Msg")
  1.024  DISP         [MEM2]
  1.024  DISP
  1.024  DISP         Select "Advance" to proceed.
  1.024  DISP
  1.024  DISP         Select "Terminate" to repeat or abort the procedure.
  1.025  ENDIF

# Enable the ext calibration
  1.026  DISP         Place the EXT CAL switch(on rear) to ON position.

  1.027  CALL         Sub Advantest R6871E DC Voltage ADJ IEEE /5700
  1.028  CALL         Sub Advantest R6871E Resistance ADJ IEEE /5700

  1.029  DISP         Place the EXT CAL switch(on rear) to OFF position.

  1.030  MATH         PUT("Cmd_Str", "Z")
  1.031  CALL         Sub Advantest R6871E Send Command IEEE

  1.032  IF           GET("Error")
  1.033  MATH         MEM2 = GET("Err_Msg")
  1.034  DISP         [MEM2]
  1.034  DISP
  1.034  DISP         Select "Advance" to proceed.
  1.034  DISP
  1.034  DISP         Select "Terminate" to repeat or abort the procedure.
  1.035  ENDIF

  1.036  DISP         C A L A B R A T I O N   C O M P L E T E
  1.037  END
